System.ServiceModel 4.0.0.0 System.Object System.Collections.Generic.ICollection<System.Collections.Generic.KeyValuePair<System.ServiceModel.Dispatcher.MessageFilter,TFilterData>> System.Collections.Generic.IDictionary<System.ServiceModel.Dispatcher.MessageFilter,TFilterData> System.Collections.Generic.IEnumerable<System.Collections.Generic.KeyValuePair<System.ServiceModel.Dispatcher.MessageFilter,TFilterData>> System.ServiceModel.Dispatcher.IMessageFilterTable<TFilterData> System.Runtime.Serialization.DataContract To be added.

The implements the interface. This filter table is optimized for declarative XPath filters, so the table key is a .

The class optimizes matching for a subset of XPath that covers most of the messaging scenarios and also supports the full XPath 1.0 grammar. It has optimized algorithms for efficient parallel matching.

Holds a collection of filter/data pairs for efficient matching.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Constructor
  4.0.0.0
  To be added.
  To be added.

  Initializes a new instance of the class.

- Method
  4.0.0.0
  System.Void `` To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Void `` `` To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Void `` `` To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Void To be added.

  Removes all filter/data pairs from the filter table.

- Method
  4.0.0.0
  System.Boolean `` To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Boolean `` To be added.

  This method implements the ContainsKey method of .

  Determines whether the filter table contains a specified filter.

  true if the is contained in the filter table; otherwise false.

- Method
  4.0.0.0
  System.Void `` `` To be added. To be added. To be added. To be added.
- Property
  4.0.0.0
  System.Int32 To be added. To be added.

  Gets the number of filter/data pairs currently in the filter table.

- Method
  4.0.0.0
  System.Collections.Generic.IEnumerator<System.Collections.Generic.KeyValuePair<System.ServiceModel.Dispatcher.MessageFilter,TFilterData>>

  This method implements .

  Returns an enumerator that can iterate through the filter table.

  An <KeyValuePair<Filter, FilterData>> that can be used to iterate through the filter table.

- Method
  4.0.0.0
  System.Boolean `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Boolean `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Boolean `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Boolean `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Boolean `` ``

  Use this method when more than one filter is expected to match the message and the matching filters are required.

  The filters in the table are not allowed to inspect the message body.

  The matching objects are stored in the parameter of . The can then be recovered from the filter table using these filters as keys with the methods provided by .

  This method implements .

  Returns a value that indicates whether the match criterion of at least one in the table is satisfied by the specified message and adds the matching filters to a collection.

  true if the match criterion of at least one filter in the table is satisfied by ; false if no filter is satisfied.

  The to test. The reference parameter that stores the objects that match in <Filter>.
- Method
  4.0.0.0
  System.Boolean `` `` To be added.

  Use this method when more than one filter is expected to match the buffered message and the matching filters are required.

  The filters in the table are allowed to inspect the message body.

  The matching objects are stored in the parameter of . The can then be recovered from the filter table using these filters as keys with the methods provided by .

  This method implements .

  Returns a value that indicates whether the match criterion of at least one in the table is satisfied by the specified buffered message and adds the matching filters to a collection.

  true if the match criterion of at least one filter in the table is satisfied by ; false if no filter is satisfied.

  The reference parameter that stores the objects that match in <Filter>.
- Method
  4.0.0.0
  System.Boolean `` ``

  Use this method when more than one filter is expected to match the navigator and the matching filters are required.

  If only one filter is expected to match the message, use the method.

  Returns a value that indicates whether the match criterion of at least one in the table is satisfied by the specified buffered message and adds the matching filters to a collection.

  true if the match criterion of at least one filter in the table is satisfied by ; false if no filter is satisfied.

  The to test. The reference parameter that stores the objects that match in <Filter>.
- Method
  4.0.0.0
  System.Boolean `` ``

  Use this method when multiple filters can be expected to match the message specified by the and the matching filters are required.

  If only one filter is expected to match the message, use the method.

  Returns a value that indicates whether the match criterion of at least one in the table is satisfied by the specified buffered message and adds the matching filters to a collection.

  true if the match criterion of at least one filter in the table is satisfied by ; false if no filter is satisfied.

  The to test. The reference parameter that stores the objects that match in <Filter>.
- Method
  4.0.0.0
  System.Boolean `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Boolean `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Boolean `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Boolean `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Boolean `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Boolean `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Boolean `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Boolean `` `` To be added. To be added. To be added. To be added. To be added.
- Property
  4.0.0.0
  System.Boolean To be added. To be added.

  The is not read-only.

- Property
  4.0.0.0
  TFilterData `` To be added. To be added. To be added. To be added.
- Property
  4.0.0.0
  System.Collections.Generic.ICollection<System.ServiceModel.Dispatcher.MessageFilter> To be added.

  This property implements . The that the filter table implements uses the as the key and the as the value of the pair.

  The order of the filters returned in the collection is unspecified, but it is guaranteed to be the same order as the corresponding in the collection returned by the property.

  Gets a collection of all the filters contained in the .

- Property
  4.0.0.0
  System.Runtime.Serialization.DataMember
  System.Int32 To be added.

  This property can be used to alleviate a security threat. Some filters can be extremely expensive to evaluate or are very long-running. s are most often evaluated against a document from an untrusted source (SOAP message off the wire), which may be malicious. Because filters operate on XML documents, the best way to set computational limits on filter tables is to specify the maximum number of nodes that are examined while evaluating a filter in this table.

  Gets or sets the maximum number of XML document nodes that can be examined by the individual filters during a single call to a Match method. This value applies for each filter.

- Method
  4.0.0.0
  System.Boolean `` To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Boolean `` To be added.

  Removes a filter and its associated filter data from the filter table.

  true if the filter was found and removed; otherwise, false.

  The to remove.
- Method
  4.0.0.0
  System.Boolean ``

  This method does not throw an exception if the specified filter does not exist in the filter table.

  Removes an and its associated filter data from the filter table.

  true if the was found and removed; otherwise, false.

  The to remove.
- Method
  4.0.0.0
  System.Collections.IEnumerator

  This method implements .

  Returns an enumerator that can iterate through the filter table.

  An <KeyValuePair<Filter, FilterData>> that can be used to iterate through the filter table.

- Method
  4.0.0.0
  System.Void

  This method is conceptually equivalent to setting a collection's capacity to its count.

  Compacts the filter table, purging any excess allocations or buffers.

- Method
  4.0.0.0
  System.Boolean `` `` To be added. To be added. To be added. To be added. To be added.
- Property
  4.0.0.0
  System.Collections.Generic.ICollection<TFilterData> To be added.

  This property implements . The <Filter, > that the filter table implements uses the as the key and the as the value of the pair.

  The order of the returned in the collection is unspecified, but it is guaranteed to be the same order as the corresponding filters in the collection returned by the property.

  Gets a collection of all the contained in the .